# Note that this is NOT a relocatable package
%define	name	libpcap
%define	ver		0.4
%define	rel		1
%define	prefix	/usr


Summary: Handy little library provides a packet filtering mechanism based on the BSD
Name: %{name}
Version: %{ver}
Release: %{rel}
Serial:2000041101
Copyright: freeware but restricted
Distribution: TurboLinux
Vendor: TurboLinux Japan
Group: Development / Library
Source0: ftp://ftp.ee.lbl.gov/%{name}-%{ver}.tar.Z
Source1: ftp.ee.lbl.gov/papers/bpf-usenix93.ps.Z
Packager: Takeshi Aihana <aihana@turbolinux.co.jp>
BuildRoot: /var/tmp/%{name}-root


%description
libpcap is a system-independent interface for user-level packet
capture. libpcap provides a portable framework for low-level 
network monitoring.  Applications include network statistics 
collection, security monitoring, network debugging,etc.  
Since almost every system vendor provides a different interface
for packet capture, and since we've developed several tools that
require this functionality, we've created this system-independent
API to ease in porting and to alleviate the need for several
system-dependent packet capture modules in each application.

The libpcap interface supports a filtering mechanism based on the
architecture in the BSD packet filter.  BPF is described in the 1993
Winter Usenix paper ``The BSD Packet Filter: A New Architecture for
User-level Packet Capture''.  A compressed postscript version is in:

  ftp://ftp.ee.lbl.gov/papers/bpf-usenix93.ps.Z.


%changelog
* Tue Apr 11 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- First packaging for TurboLinux


%prep
%setup -q -n %{name}-%{ver}
cp %{SOURCE1} ./bpf-usenix93.ps.Z

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make


%install
rm -rf $RPM_BUILD_ROOT
if [ ! -d $RPM_BUILD_ROOT ] ; then
 mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib
 mkdir -p $RPM_BUILD_ROOT/%{prefix}/include/net
 mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man3
fi

make prefix=$RPM_BUILD_ROOT%{prefix} install
make prefix=$RPM_BUILD_ROOT%{prefix} install-incl
make prefix=$RPM_BUILD_ROOT%{prefix} install-man
gzip -d ./bpf-usenix93.ps.Z


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%post 	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig


%files 
%defattr(-,root,root) 
%doc CHANGES FILES INSTALL VERSION bpf-usenix93.ps
%{prefix}/lib/libpcap.a
%{prefix}/include/pcap-namedb.h
%{prefix}/include/net/bpf.h
%{prefix}/man/man3/pcap.3
